package com.tencent.mm.plugin.appbrand.launching;

import android.content.Context;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.appbrand.config.AppBrandInitConfigWC;
import com.tencent.mm.plugin.appbrand.report.AppBrandStatObject;
import com.tencent.mm.sdk.platformtools.al;

public final class f {
    public static void a(Context context, AppBrandInitConfigWC appBrandInitConfigWC, AppBrandStatObject appBrandStatObject) {
        AppMethodBeat.i(131771);
        1 1 = new 1(context, appBrandInitConfigWC, appBrandStatObject);
        if (al.isMainThread()) {
            1.run();
            AppMethodBeat.o(131771);
            return;
        }
        al.d(1);
        AppMethodBeat.o(131771);
    }
}
